# Class PaymentReceivedMessage

#### Hierarchy

- unknown
  - PaymentReceivedMessage

- Defined in src/protobuf/pb_pb.d.ts:1445
- Defined in src/protobuf/pb_pb.d.ts:1497

#####
Index

### Constructors

constructor

### Methods

clearBuyerAccountAgeWitness
clearBuyerSignedWitness
clearPaymentSentMessage
clearSenderNodeAddress
getBuyerAccountAgeWitness
getBuyerSignedWitness
getDeferPublishPayout
getPaymentSentMessage
getSellerSignature
getSellerSignature_asB64
getSellerSignature_asU8
getSenderNodeAddress
getSignedPayoutTxHex
getTradeId
getUid
getUnsignedPayoutTxHex
getUpdatedMultisigHex
hasBuyerAccountAgeWitness
hasBuyerSignedWitness
hasPaymentSentMessage
hasSenderNodeAddress
serializeBinary
setBuyerAccountAgeWitness
setBuyerSignedWitness
setDeferPublishPayout
setPaymentSentMessage
setSellerSignature
setSenderNodeAddress
setSignedPayoutTxHex
setTradeId
setUid
setUnsignedPayoutTxHex
setUpdatedMultisigHex
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PaymentReceivedMessage(): PaymentReceivedMessage

- #### Returns PaymentReceivedMessage

  Inherited from jspb.Message.constructor

## Methods

### clearBuyerAccountAgeWitness

- clearBuyerAccountAgeWitness(): PaymentReceivedMessage

- #### Returns PaymentReceivedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1472

### clearBuyerSignedWitness

- clearBuyerSignedWitness(): PaymentReceivedMessage

- #### Returns PaymentReceivedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1477

### clearPaymentSentMessage

- clearPaymentSentMessage(): PaymentReceivedMessage

- #### Returns PaymentReceivedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1482

### clearSenderNodeAddress

- clearSenderNodeAddress(): PaymentReceivedMessage

- #### Returns PaymentReceivedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1452

### getBuyerAccountAgeWitness

- getBuyerAccountAgeWitness(): undefined | AccountAgeWitness

- #### Returns undefined | AccountAgeWitness

  - Defined in src/protobuf/pb_pb.d.ts:1469

### getBuyerSignedWitness

- getBuyerSignedWitness(): undefined | SignedWitness

- #### Returns undefined | SignedWitness

  - Defined in src/protobuf/pb_pb.d.ts:1474

### getDeferPublishPayout

- getDeferPublishPayout(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1466

### getPaymentSentMessage

- getPaymentSentMessage(): undefined | PaymentSentMessage

- #### Returns undefined | PaymentSentMessage

  - Defined in src/protobuf/pb_pb.d.ts:1479

### getSellerSignature

- getSellerSignature(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1484

### getSellerSignature_asB64

- getSellerSignature_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1486

### getSellerSignature_asU8

- getSellerSignature_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1485

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- #### Returns undefined | NodeAddress

  - Defined in src/protobuf/pb_pb.d.ts:1449

### getSignedPayoutTxHex

- getSignedPayoutTxHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1460

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1446

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1454

### getUnsignedPayoutTxHex

- getUnsignedPayoutTxHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1457

### getUpdatedMultisigHex

- getUpdatedMultisigHex(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1463

### hasBuyerAccountAgeWitness

- hasBuyerAccountAgeWitness(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1471

### hasBuyerSignedWitness

- hasBuyerSignedWitness(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1476

### hasPaymentSentMessage

- hasPaymentSentMessage(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1481

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1451

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1489

### setBuyerAccountAgeWitness

- setBuyerAccountAgeWitness(value?: AccountAgeWitness): PaymentReceivedMessage

- #### Parameters

  - ##### `Optional` value: AccountAgeWitness

  #### Returns PaymentReceivedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1470

### setBuyerSignedWitness

- setBuyerSignedWitness(value?: SignedWitness): PaymentReceivedMessage

- #### Parameters

  - ##### `Optional` value: SignedWitness

  #### Returns PaymentReceivedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1475

### setDeferPublishPayout

- setDeferPublishPayout(value: boolean): PaymentReceivedMessage

- #### Parameters

  - ##### value: boolean

  #### Returns PaymentReceivedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1467

### setPaymentSentMessage

- setPaymentSentMessage(value?: PaymentSentMessage): PaymentReceivedMessage

- #### Parameters

  - ##### `Optional` value: PaymentSentMessage

  #### Returns PaymentReceivedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1480

### setSellerSignature

- setSellerSignature(value: string | Uint8Array): PaymentReceivedMessage

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns PaymentReceivedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1487

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress): PaymentReceivedMessage

- #### Parameters

  - ##### `Optional` value: NodeAddress

  #### Returns PaymentReceivedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1450

### setSignedPayoutTxHex

- setSignedPayoutTxHex(value: string): PaymentReceivedMessage

- #### Parameters

  - ##### value: string

  #### Returns PaymentReceivedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1461

### setTradeId

- setTradeId(value: string): PaymentReceivedMessage

- #### Parameters

  - ##### value: string

  #### Returns PaymentReceivedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1447

### setUid

- setUid(value: string): PaymentReceivedMessage

- #### Parameters

  - ##### value: string

  #### Returns PaymentReceivedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1455

### setUnsignedPayoutTxHex

- setUnsignedPayoutTxHex(value: string): PaymentReceivedMessage

- #### Parameters

  - ##### value: string

  #### Returns PaymentReceivedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1458

### setUpdatedMultisigHex

- setUpdatedMultisigHex(value: string): PaymentReceivedMessage

- #### Parameters

  - ##### value: string

  #### Returns PaymentReceivedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1464

### toObject

- toObject(includeInstance?: boolean): PaymentReceivedMessage.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PaymentReceivedMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1490

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PaymentReceivedMessage

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PaymentReceivedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1493

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PaymentReceivedMessage, reader: BinaryReader): PaymentReceivedMessage

- #### Parameters

  - ##### message: PaymentReceivedMessage

  - ##### reader: BinaryReader

  #### Returns PaymentReceivedMessage

  - Defined in src/protobuf/pb_pb.d.ts:1494

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PaymentReceivedMessage, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PaymentReceivedMessage

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:1492

### `Static` toObject

- toObject(includeInstance: boolean, msg: PaymentReceivedMessage): PaymentReceivedMessage.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PaymentReceivedMessage

  #### Returns PaymentReceivedMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1491

Generated using TypeDoc